Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80822 - broken source code
Summary: broken source code
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rsh
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-31 18:06 UTC by d.binderman
Modified: 2015-03-05 01:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-17 16:37:01 UTC


Attachments (Terms of Use)

Description d.binderman 2002-12-31 18:06:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.6 [en-gb]C-CCK-MCD NetscapeOnline.co.uk  (Win98; I)

Description of problem:

Hello there,

I have just tried to compile package rsh-0.17-10 from Redhat 8.0

Here are some of the messages the compiler produces

cc: Info: rlogind.c, line 353: In this statement, an array is being accessed outside the bounds specified for the array type. (subscrbounds)
cc: Info: rlogind.c, line 354: In this statement, an array is being accessed outside the bounds specified for the array type. (subscrbounds)
cc: Info: rlogind.c, line 355: In this statement, an array is being accessed outside the bounds specified for the array type. (subscrbounds)
cc: Info: rlogind.c, line 356: In this statement, an array is being accessed outside the bounds specified for the array type. (subscrbounds)
cc: Info: rlogind.c, line 358: In this statement, an array is being accessed outside the bounds specified for the array type. (subscrbounds)

Here is an untested patch to shut up the compiler.

./rlogind/rlogind.c.old ./rlogind/rlogind.c
*** ./rlogind/rlogind.c.old	Wed Dec 25 10:05:44 2002
--- ./rlogind/rlogind.c	Wed Dec 25 10:12:57 2002
***************
*** 336,342 ****
  		  const char *localuser, int authenticated,
  		  const char *rusername)
  {
!     char *termenv[2];
  
      setup_term(0, termtype);
  
--- 336,342 ----
  		  const char *localuser, int authenticated,
  		  const char *rusername)
  {
!     char *termenv[ 4];
  
      setup_term(0, termtype);
  


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. compile with any C compiler that checks array indexes, for example Compaq.
2.
3.
    

Additional info:

Comment 1 Phil Knirsch 2003-01-17 16:37:01 UTC
Fixed in rsh-0.17-13 (available via rawhide shortly).

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.